# Uses of Interface
org.eclipse.swt.events.VerifyListener

Packages that use VerifyListener
Package
Description
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of VerifyListener in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type VerifyListener
Modifier and Type
Method
Description
`void`
CCombo.`addVerifyListener(VerifyListener listener)`
Adds the listener to the collection of listeners who will be notified when the receiver's text is verified, by sending it one of the messages defined in the `VerifyListener` interface.
`void`
StyledText.`addVerifyListener(VerifyListener verifyListener)`
Adds a verify listener.
`void`
CCombo.`removeVerifyListener(VerifyListener listener)`
Removes the listener from the collection of listeners who will be notified when the control is verified.
`void`
StyledText.`removeVerifyListener(VerifyListener verifyListener)`
Removes the specified verify listener.

## Uses of VerifyListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type VerifyListener
Modifier and Type
Method
Description
`void`
Combo.`addVerifyListener(VerifyListener listener)`
Adds the listener to the collection of listeners who will be notified when the receiver's text is verified, by sending it one of the messages defined in the `VerifyListener` interface.
`void`
Text.`addVerifyListener(VerifyListener listener)`
Adds the listener to the collection of listeners who will be notified when the receiver's text is verified, by sending it one of the messages defined in the `VerifyListener` interface.
`void`
Combo.`removeVerifyListener(VerifyListener listener)`
Removes the listener from the collection of listeners who will be notified when the control is verified.
`void`
Text.`removeVerifyListener(VerifyListener listener)`
Removes the listener from the collection of listeners who will be notified when the control is verified.